package benefactorkindboxreqhandler

import (
	"git.gocasts.ir/ebhomengo/niki/delivery/http_server/middleware"
	"git.gocasts.ir/ebhomengo/niki/entity"
	echo "github.com/labstack/echo/v4"
)

func (h Handler) SetRoutes(e *echo.Echo) {
	r := e.Group("/benefactor/kindboxreqs")

	r.POST("/", h.Add, middleware.Auth(h.authSvc, h.authConfig),
		middleware.BenefactorAuthorization(entity.UserBenefactorRole))
	//nolint:gocritic
	// r.GET("/:id", h.Get)
	// r.GET("/", h.GetAll)
	// r.PATCH("/:id", h.Update)
}
