package adminkindboxreqparam

import (
	"time"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type KindBoxReqRejectRequest struct {
	ID          uint   `json:"id"`
	Description string `json:"description"`
}

type KindBoxReqRejectResponse struct {
	ID             uint                    `json:"id"`
	KindBoxType    entity.KindBoxType      `json:"kind_box_type"`
	CountRequested uint                    `json:"count_requested"`
	CountAccepted  uint                    `json:"count_accepted"`
	BenefactorID   uint                    `json:"benefactor_id"`
	Status         entity.KindBoxReqStatus `json:"status"`
	Description    string                  `json:"description"`
	ReferDate      time.Time               `json:"refer_date"`
	AddressID      uint                    `json:"address_id"`
}
