package benefactorkindboxreqhandler

import (
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth/benefactor"
	benefactorkindboxreqservice "git.gocasts.ir/ebhomengo/niki/service/benefactor/kind_box_req"
	benefactorkindboxreqvalidator "git.gocasts.ir/ebhomengo/niki/validator/benefactor/kind_box_req"
)

type Handler struct {
	authConfig              authservice.Config
	authSvc                 authservice.Service
	benefactorKindBoxReqSvc benefactorkindboxreqservice.Service
	benefactorKindBoxReqVld benefactorkindboxreqvalidator.Validator
}

func New(authConfig authservice.Config, authSvc authservice.Service,
	benefactorKindBoxReqSvc benefactorkindboxreqservice.Service, benefactorKindBoxReqVld benefactorkindboxreqvalidator.Validator,
) Handler {
	return Handler{
		authConfig:              authConfig,
		authSvc:                 authSvc,
		benefactorKindBoxReqSvc: benefactorKindBoxReqSvc,
		benefactorKindBoxReqVld: benefactorKindBoxReqVld,
	}
}
